stralloc_catb(3)

NAME
stralloc_catb - append data to a stralloc

SYNTAX
#include <libowfat/stralloc.h>

int stralloc_catb(stralloc* sa,const char* buf,size_t len);

DESCRIPTION
stralloc_catb adds the string buf[0], buf[1], ... buf[len-1] to the end of the string stored in sa, allocating space if necessary, and returns 1. If sa is unallocated, stralloc_catb is the same as stralloc_copyb. If it runs out of memory, stralloc_catb leaves sa alone and returns 0.

RETURN VALUE
1 for success, 0 on memory allocation failure.